Get a run
curl --request GET \
--url https://prime-traces.pintel.dev/api/v1/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prime-traces.pintel.dev/api/v1/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prime-traces.pintel.dev/api/v1/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_id": "<string>",
"first_trace_created_at": "2023-11-07T05:31:56Z",
"last_trace_created_at": "2023-11-07T05:31:56Z",
"last_trace_ingested_at": "2023-11-07T05:31:56Z",
"trace_count": 123,
"episode_count": 123,
"avg_reward": 123,
"step_min": 123,
"step_max": 123,
"step_count": 123,
"has_error": true,
"first_user_id": "<string>",
"environment_ids": [
"<string>"
],
"model_ids": [
"<string>"
],
"context": {}
}{
"error": {
"code": "upload_too_large",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "upload_too_large",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "upload_too_large",
"message": "<string>",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "upload_too_large",
"message": "<string>",
"details": {}
}
}Runs
Get a run
One run’s totals over its traces. A run with no traces returns 404.
GET
/
api
/
v1
/
runs
/
{run_id}
Get a run
Authorizations
A Prime Intellect API key with the Prime Traces permission.
Headers
Act on this team's traces instead of your personal ones. You must be a member of the team.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?